/* uprcopy.c */

/* Copyright 1997 by Eberhard Mattes <mattes@azu.informatik.uni-stuttgart.de>
   Donated to the public domain.  No warranty.

   1997-09-09 Initial version */

#include <stdlib.h>
#include "libemfw.h"

/* Copy N characters from SRC to DST, converting to upper case. */

void upper_copy (char *dst, const char *src, size_t n)
{
  DEBUG_ASSERT (dst != NULL);
  DEBUG_ASSERT (src != NULL);
  while (n != 0)
    {
      *dst++ = upper_table[(unsigned char)*src++];
      --n;
    }
}
