/* cfargcount.c */

/* Copyright 2000 by Eberhard Mattes <em-gw@windhager.de>
   Donated to the public domain.  No warranty.

   2000-05-27 Initial version */

#include <stdlib.h>
#include <syslog.h>
#include "firewall.h"
#include "libemfw.h"

void config_arg_count (Cfg *cf, int n)
{
  if (cf->argc == n)
    return;
  syslog (LLEV, "fwtkcfgerr: %s must have %d parameter%s, line %d",
	  cf->op, n, (n == 1 ? "" : "s"), cf->ln);
  exit (1);
}
